%define	oname	TORCS
%define	libname	%mklibname %{name}

Name:		torcs
Version:	1.3.7
Release:	%mkrel 6
Summary:	The Open Racing Car Simulator
License:	GPLv2
Group:		Games/Simulation
URL:		http://torcs.sourceforge.net/
#Upstream only provides one big tarball, so we remove from it the useless data and src/windows folders and recompress it with xz
#Source0:	https://sourceforge.net/projects/%{name}/files/all-in-one/%{version}/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}.tar.xz
Patch1:		torcs-1.3.7-gcc7.patch
Patch2:		torcs-1.3.7-isnan.patch
Patch3:		format-argument.patch
BuildRequires:  imagemagick
BuildRequires:	plib-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(vorbis)
Provides:	%{oname}
Requires:	%{name}-data = %{version}
Requires:	%{name}-robots-base
Recommends:	%{name}-data-nonfree
Recommends:	%{name}-robots-berniw
Recommends:	%{name}-robots-bt
Recommends:	%{name}-robots-olethros
Provides:	%{libname}
Obsoletes:	%{libname}

%description
A 3D racing car simulator using OpenGL.

%package	robots-base
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Basic robots for %{name}
Provides:	%{name}-robots
BuildArch:	noarch

%description	robots-base
Base robots for %{oname}.

%package	robots-berniw
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Berniw robots for %{name}
BuildArch:	noarch
Provides:	%{name}-robots

%description	robots-berniw
Berniw robots for %{oname}, by Bernhard Wymann.

%package	robots-bt
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Bt robots for %{name}
BuildArch:	noarch
Provides:	%{name}-robots

%description	robots-bt
bt robots for %{oname}.

%package	robots-olethros
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Olethros robots for %{name}
BuildArch:	noarch
Provides:	%{name}-robots

%description	robots-olethros
bt robots for %{oname}, by Christos Dimitrakakis.


%prep
%autosetup -p1

%build
./configure --bindir=%{_gamesbindir} \
 	--prefix=%{_prefix} \
 	--libdir=%{_libdir} \
 	--x-libraries=%{_xorglibdir}
%__make

%install
%make_install

install -D -p -m 0644 %{name}.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
desktop-file-install --vendor="%{_real_vendor}" \
 --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%files
%doc README
%{_gamesbindir}/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/config
%{_gamesdatadir}/%{name}/telemetry
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%dir %{_gamesdatadir}/%{name}/drivers
%{_datadir}/pixmaps/%{name}.xpm
%{_libdir}/%{name}

%files robots-base
%{_gamesdatadir}/%{name}/drivers/damned
%{_gamesdatadir}/%{name}/drivers/human
%{_gamesdatadir}/%{name}/drivers/inferno
%{_gamesdatadir}/%{name}/drivers/inferno2
%{_gamesdatadir}/%{name}/drivers/lliaw
%{_gamesdatadir}/%{name}/drivers/sparkle
%{_gamesdatadir}/%{name}/drivers/tita

%files robots-berniw
%{_gamesdatadir}/%{name}/drivers/berniw*

%files robots-bt
%{_gamesdatadir}/%{name}/drivers/bt

%files robots-olethros
%{_gamesdatadir}/%{name}/drivers/olethros


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 1.3.7-6.mga9
+ Revision: 1836632
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.3.7-5.mga8
+ Revision: 1517451
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3.7-4.mga7
+ Revision: 1301440
- Mageia 7 Mass Rebuild

* Tue Jul 10 2018 daviddavid <daviddavid> 1.3.7-3.mga7
+ Revision: 1242879
- add patches to fix FTBFS

* Fri Oct 13 2017 cjw <cjw> 1.3.7-2.mga7
+ Revision: 1171605
- patch1: fix build with gcc 7

* Sat Oct 08 2016 zezinho <zezinho> 1.3.7-1.mga6
+ Revision: 1059629
- new version 1.3.7

* Wed Feb 17 2016 umeabot <umeabot> 1.3.6-2.mga6
+ Revision: 963075
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 zezinho <zezinho> 1.3.6-1.mga6
+ Revision: 874775
- new version 1.3.6

* Sun Dec 14 2014 akien <akien> 1.3.4-9.mga5
+ Revision: 803159
- Rebuild for shared plib

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-8.mga5
+ Revision: 739168
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-7.mga5
+ Revision: 689923
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1.3.4-6.mga4
+ Revision: 526467
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1.3.4-5.mga4
+ Revision: 436960
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.3.4-4.mga3
+ Revision: 384661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.3.4-3.mga3
+ Revision: 343825
- updated RPM group

* Fri Nov 16 2012 luigiwalser <luigiwalser> 1.3.4-2.mga3
+ Revision: 318368
- rebuild for plib
- rebuild for plib

* Mon Oct 29 2012 dams <dams> 1.3.4-1.mga3
+ Revision: 311364
- new version 1.3.4
- new icon to fix ugly rendering under GNOME3
- clean specfile

* Wed Apr 04 2012 luigiwalser <luigiwalser> 1.3.3-2.mga2
+ Revision: 228370
- rebuild for plib

* Sun Feb 19 2012 zezinho <zezinho> 1.3.3-1.mga2
+ Revision: 211022
- new version

* Mon Feb 06 2012 zezinho <zezinho> 1.3.2-3.mga2
+ Revision: 205578
- require robots-base

* Mon Feb 06 2012 zezinho <zezinho> 1.3.2-2.mga2
+ Revision: 205237
- add suggests for nonfree data

* Mon Feb 06 2012 zezinho <zezinho> 1.3.2-1.mga2
+ Revision: 205197
- fix BR for vorbis
- add BR for vorbis
- new version

* Thu Sep 15 2011 fwang <fwang> 1.3.1-8.mga2
+ Revision: 144027
- br xi
- add more br when checking configureing
- br plib
- cleanup spec
+ kharec <kharec>
- Try again to fix BR's
- fix BR

* Wed Apr 27 2011 stormi <stormi> 1.3.1-7.mga1
+ Revision: 92013
- fix Summary

* Tue Apr 26 2011 wally <wally> 1.3.1-6.mga1
+ Revision: 91836
- fix desktop file name (mga#954)

* Fri Apr 08 2011 kharec <kharec> 1.3.1-5.mga1
+ Revision: 82153
- imported package torcs


* Mon Oct 26 2009 Emmanuel Andry <eandry@mandriva.org> 1.3.1-5mdv2010.0
+ Revision: 459417
- disable segfaulting soundwrapper from menu entry (#49408). Sound works fine without it.

* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-4mdv2010.0
+ Revision: 445517
- rebuild

* Thu Feb 12 2009 Zombie Ryushu <ryushu@mandriva.org> 1.3.1-3mdv2009.1
+ Revision: 339772
- Add robots back
- Add robots back

* Thu Feb 12 2009 Zombie Ryushu <ryushu@mandriva.org> 1.3.1-2mdv2009.1
+ Revision: 339676
- Remove unneeded Robots
- Remove unneeded Robots

* Tue Feb 10 2009 Zombie Ryushu <ryushu@mandriva.org> 1.3.1-1mdv2009.1
+ Revision: 339152
- First version that actually builds
- Work in Progress so TPG can look at it.
- New Version
- Bump to Version 1.3.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Feb 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.0-4mdv2008.1
+ Revision: 168459
- fix summary-not-capitalized
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Emmanuel Andry <eandry@mandriva.org> 1.3.0-4mdv2008.0
+ Revision: 55949
- drop debian menu


* Fri Jan 05 2007 Olivier Blin <oblin@mandriva.com> 1.3.0-3mdv2007.0
+ Revision: 104503
- build with freealut

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 1.3.0-2mdv2007.1
+ Revision: 90001
- bump release
- use soundwrapper
- do not pass %%U to menu
- fix menu title
- fix menu location

* Mon Nov 20 2006 Emmanuel Andry <eandry@mandriva.org> 1.3.0-1mdv2007.1
+ Revision: 85656
- add buildrequires libxrandr-devel
- New
- fix requires (bug#27042)

  + Lenny Cartier <lenny@mandriva.com>
    - Import torcs

* Wed Aug 09 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.4-4mdv2007.0
- fix requires

* Sun Aug 06 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.4-3mdv2007.0
- fix buildrequires
- fix xdg menu

* Sun Jun 18 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.4-2mdv2007.0
- fix homepage
- fix buildrequires
- xdg compliant
- patch0 from fedora to fix gcc4.1 compilation
- patch1 from debian

* Wed Sep 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.4-1mdk
- %%mkrel
- from Emmanuel Andry <eandry@free.fr> :
	o 1.2.4
	o Buildrequires openal-devel

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.3-1mdk
* from Emmanuel Andry <eandry@free.fr> :
	o New version
	o Added robot olethros
	o Removed robots K1999, astigot, billy for compatibility

* Sat Aug 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-4mdk
- rebuild for new menu

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-3mdk
- rebuild

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-2mdk
- buildrequires
- work around problem with too many jobs

* Sun Feb 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- fix buildrequires(lib64..)
- added astigot, billy og bt robots
- drop P0, fixed upstream
- nuke lib package

